<?php

/**
 * @file
 * Enumeration class for report page types.
 */

namespace Drupal\zeitgeist;
use Drupal\zeitgeist\Enum;

/**
 * Report page types.
 */
class PageType extends Enum {
  const SIMPLE = 'simple';
  const MULTICOLUMN = 'multicolumn';
  const VIEWS = 'views';

  /**
   * Return the page callback for the currently configured Zeitgeist report.
   *
   * @return string
   */
  public static function getActiveReport() {
    $types = static::getConstants();
    $ret = variable_get(static::getVar(), reset($types));
    return $ret;
  }

  /**
   * Return the name of the variable containing the Zeitgeist report type.
   *
   * @return string
   *   The variable name.
   */
  public static function getVar() {
    return 'zeitgeist_page_type';
  }
}
